SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001050SiT!reportspublic2010-01-24 17:262010-03-27 12:30
Reporterallen_zhao 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.51 
Target Version3.60 LTSFixed in Version3.60 LTS 
Summary0001050: cannot create the report by engineer utilization
Descriptionevery time when I run a report based on engineer utilization, it will report error, and no report.

Please see following error information:

Monthly Activity Totals
Warning [2]
Invalid argument supplied for foreach() in /var/www/sit-3.51/report_billable_engineer_utilisation.php @ line 110 sit_error_handler()

Grand Total

??? Positive Negative
Warning [2]
Invalid argument supplied for foreach() in /var/www/sit-3.51/report_billable_engineer_utilisation.php @ line 163 sit_error_handler()
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0002333)
paulh (administrator)
2010-01-31 15:49

Confirmed this happens, its only a warning and if you change the error_reporting level in php.ini e.g.

error_reporting = E_ALL & ~E_NOTICE

Though I will aim to place more checking for the next version.

As an aside this report probably doesn't do what your expected as its not named on the menu very well, this report shows engineers utilisation based so activities (so billable work)
User avatar (0002334)
paulh (administrator)
2010-01-31 16:06

r6065 resolves this in 3.x and trunk

we check if the array contains any elements before looping

- Issue History
Date Modified Username Field Change
2010-01-24 17:26 allen_zhao New Issue
2010-01-31 15:49 paulh Note Added: 0002333
2010-01-31 15:49 paulh Status new => confirmed
2010-01-31 16:06 paulh Note Added: 0002334
2010-01-31 16:06 paulh Assigned To => paulh
2010-01-31 16:06 paulh Status confirmed => resolved
2010-01-31 16:06 paulh Resolution open => fixed
2010-01-31 16:06 paulh Fixed in Version => Current SVN
2010-01-31 16:06 paulh Target Version => 3.60
2010-01-31 16:06 paulh Additional Information Updated View Revisions
2010-03-27 11:16 ivan Fixed in Version Current SVN => 3.60 LTS
2010-03-27 12:30 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker